# Get Shipping Events

Permite recuperar la lista de eventos que atravesó un pedido en particular. Tiene como único fin informar a la tienda y al comprador los distintos estados del envío. No tiene incidencia en el estado de entrega de la orden en Fenicio.

<table><thead><tr><th width="130">Método</th><th>URL</th></tr></thead><tbody><tr><td><code>POST</code></td><td>https://{ApiURL}/getShippingEvents</td></tr></tbody></table>

## Request

<table><thead><tr><th width="196">Clave</th><th width="188">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>trackingCode</code></strong></td><td>String</td><td>Código de rastreo correspondiente al envío creado.</td></tr></tbody></table>

## Response

<table><thead><tr><th width="197">Clave</th><th width="190">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>shippingEvents</code></strong></td><td>List&#x3C;<a href="#shipping-event"><strong>ShippingEvent</strong></a>></td><td>Listado de eventos.</td></tr></tbody></table>

## Shipping Event

<table><thead><tr><th width="202">Clave</th><th width="191">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>statusCode</code></strong></td><td>Enum</td><td>Código del estado del pedido. Valores a definir por empresa logística.</td></tr><tr><td><strong><code>generatedAt</code></strong></td><td><a href="/pages/LjX6E6o8pT0EpYonxgLH#datetime"><strong>DateTime</strong></a></td><td>Fecha del evento.</td></tr><tr><td><strong><code>description</code></strong></td><td>String</td><td>Descripción breve del evento.</td></tr><tr><td><strong><code>details</code></strong></td><td>String | null</td><td>Más detalles del evento.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://guia.fenicio.help/developers/api-integracion-de-logistica/servicios/get-shipping-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
